# Uses of Interface
com.sun.source.tree.WhileLoopTree

Packages that use WhileLoopTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of WhileLoopTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type WhileLoopTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitWhileLoop(WhileLoopTree node, P p)`
Visits a `WhileLoopTree` node.

## Uses of WhileLoopTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type WhileLoopTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitWhileLoop(WhileLoopTree node, P p)`
Visits a `WhileLoopTree` node.
`R`
TreeScanner.`visitWhileLoop(WhileLoopTree node, P p)`
Visits a `WhileLoopTree` node.